Bug 120937 - pressing backspace on the keyboard prints "q", using kvm and logitech keyboard
pressing backspace on the keyboard prints "q", using kvm and logitech keyboard
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
http://linuxquestions.org/questions/h...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-15 09:37 EDT by Mark
Modified: 2007-04-18 13:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 14:07:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark 2004-04-15 09:37:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
Hi,

When pressing the backspace key within X, the backspace is performed
but then a "q" is printed, again I have seen this occur when using the
tab and delete keys also the function is performed but is then
proceeded by printing the letter "q".

I am using a Logitech Wireless Keyboard and Logitech Optical Mouse.
They are conencted to a Belkin KVM (OmniView� ENTERPRISE Series
Dual-Port PS/2 KVM Cable), which goes between one of my XP servers and
my Red Hat 9 server (HP pavilion intel P4 2.8, i686). This problem
only occurs in X on the Linux server, and doesnt occur on the windows
XP machine. Additional I have found a forum where many others are
seeing the same problem but on varying HW and OS release:

http://linuxquestions.org/questions/history/91258

Additionally I have noticed that if you press the backspace button and
then quickly start typing, it is not until you stop typing or pause,
that the letter "q" is printed.

Thanks,
Mark

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Press either the backspace, tab or delete key
2. Problem occurs    

Actual Results:  After pressing one of the above buttons the letter
"q" is printed, e.g.

# echo hellop
<press backspace, then letter "q" appears>
# echo helloq

Expected Results:  The character should be removed and the "q" should
not appear.

Additional info:

There is a workaround in the fact that you do not press the backspace,
etc keys and use the mouse to highlight and then press space or
something, but it should not be occuring.
Comment 1 Brian "netdragon" Bober 2004-09-07 11:44:30 EDT
I had this happen once with a "K" always appearing on FC2 when
switching on my Belk** KVM switch and getting erratic mouse behavior.
I can't reproduce, though :-(

I had to reboot.
Comment 2 Brian "netdragon" Bober 2004-09-07 19:06:55 EDT
Ok, I don't know if this is related, but I figured out that when using
nano, if I use any of the special keys, like Insert, End or Home, it
replaces them with, for instance, F for End. I don't get anything for
the Backspace, tab, or delete key.
Comment 3 Brian "netdragon" Bober 2004-09-25 00:42:42 EDT
Some people appear to be having the same issue on
http://www.linuxquestions.org/questions/showthread.php?s=&postid=1196287#post1196287
Comment 4 Mike A. Harris 2004-10-12 14:07:49 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.